logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



PHP 5.6.4, 5.5.20, 5.4.36, 5.3.29 (x86/x64) available
Goto page 1, 2, 3, 4  Next
 
Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads



View previous topic :: View next topic  
Author Message
Jan-E



Joined: 09 Mar 2012
Posts: 962
Location: Amsterdam, NL, EU

PostPosted: Fri 22 Aug '14 2:01    Post subject: PHP 5.6.4, 5.5.20, 5.4.36, 5.3.29 (x86/x64) available Reply with quote

PHP 5.6.x, PHP 5.5.x & PHP 5.4.x are available for download at http://windows.php.net/download/

Many extensions are also available on php.net:
http://windows.php.net/downloads/pecl/releases/

My builds:
https://phpdev.toolsforresearch.com/php-5.6.4-nts-Win32-VC11-x86.zip
https://phpdev.toolsforresearch.com/php-5.6.4-Win32-VC11-x86.zip
https://phpdev.toolsforresearch.com/php-5.6.4-nts-Win32-VC11-x64.zip
https://phpdev.toolsforresearch.com/php-5.6.4-Win32-VC11-x64.zip

https://phpdev.toolsforresearch.com/php-5.5.20-nts-Win32-VC11-x86.zip
https://phpdev.toolsforresearch.com/php-5.5.20-Win32-VC11-x86.zip
https://phpdev.toolsforresearch.com/php-5.5.20-nts-Win32-VC11-x64.zip
https://phpdev.toolsforresearch.com/php-5.5.20-Win32-VC11-x64.zip

https://phpdev.toolsforresearch.com/php-5.4.36-nts-Win32-VC9-x86.zip
https://phpdev.toolsforresearch.com/php-5.4.36-Win32-VC9-x86.zip
https://phpdev.toolsforresearch.com/php-5.4.36-nts-Win32-VC9-x64.zip
https://phpdev.toolsforresearch.com/php-5.4.36-Win32-VC9-x64.zip

I am also keeping my PHP 5.3 builds up-to-date:

https://phpdev.toolsforresearch.com/php-5.3.29-nts-Win32-VC9-x86.zip
https://phpdev.toolsforresearch.com/php-5.3.29-Win32-VC9-x86.zip
https://phpdev.toolsforresearch.com/php-5.3.29-nts-Win32-VC9-x64.zip
https://phpdev.toolsforresearch.com/php-5.3.29-Win32-VC9-x64.zip

If you have got the choice, use the binaries from php.net because they are built with PGO and are faster.

The extensions in my 5.5.x & 5.6.x builds can be mixed with the php.net binaries.

My 5.3.x and 5.4.x builds use OpenSSL 1.0.1, while php.net uses OpenSSL 0.9.8 for 5.3 & 5.4. Be careful with mixing my extensions with the official 5.3/5.4 binaries.

Edit: changed the links for 5.6.0.

Edit 2014-09-19: changed the links for 5.5.17 and 5.4.33.

Edit 2014-09-25: changed the links for PHP 5.6.1.

Edit 2014-10-16: changed the links for PHP 5.6.2, 5.5.18 and 5.4.34. All versions are compled with OpenSSL FIPS 1.0.1j

Edit 2014-11-14: version bump to 5.6.3, 5.5.19, 5.4.35.

Edit 2014-12-12: version bump to 5.6.4, 5.5.20.

Edit 2014-12-19: version bump to 5.4.36


Mod Note: please use apaste.info for long console outputs Wink


Last edited by Jan-E on Fri 19 Dec '14 23:35; edited 9 times in total
Back to top
puertoblack2003



Joined: 31 Jul 2009
Posts: 77

PostPosted: Fri 22 Aug '14 5:59    Post subject: Reply with quote

thank you for the update.
Back to top
zonetrooperex



Joined: 26 Jul 2013
Posts: 6
Location: Australia

PostPosted: Sat 30 Aug '14 12:52    Post subject: Thanks! Reply with quote

Thanks so much for these great builds Very Happy So darn useful! XD
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 962
Location: Amsterdam, NL, EU

PostPosted: Mon 06 Oct '14 16:00    Post subject: Reply with quote

I have changed the OpenSSL files and added FIPS support. See
http://www.apachelounge.com/viewtopic.php?t=6197 and
http://www.apachelounge.com/viewtopic.php?t=6175
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 962
Location: Amsterdam, NL, EU

PostPosted: Thu 16 Oct '14 8:00    Post subject: Reply with quote

Upgrade to 5.6.2, 5.5.18, 5.4.34 and OpenSSL 1.0.1j FIPS.
Back to top
rouf



Joined: 27 Oct 2014
Posts: 1

PostPosted: Mon 27 Oct '14 12:54    Post subject: Reply with quote

Hi, before I found these binaries with the extra extensions I've been trying to compile php_ssh2.dll myself without any luck (I never compiled anything from source on windows before). PHP 5.6.2 x64 and all extensions are compiling perfectly, even the php_redis.dll and php_xdebug.dll extensions. But with pecl/ssh2 I'm getting a lot of unresolved externals. Is there something that I'm missing? I'm compiling the latest version from: http://git.php.net/repository/pecl/networking/ssh2.git

Code:
// Some of the errors:
libssh2_a.lib(kex.obj) : error LNK2001: unresolved external symbol EVP_DigestUpdate
libssh2_a.lib(openssl.obj) : error LNK2001: unresolved external symbol EVP_DigestUpdate
libssh2_a.lib(hostkey.obj) : error LNK2019: unresolved external symbol EVP_DigestInit referenced in function hostkey_method_ssh_rsa_signv
libssh2_a.lib(kex.obj) : error LNK2001: unresolved external symbol EVP_DigestInit
libssh2_a.lib(openssl.obj) : error LNK2001: unresolved external symbol EVP_DigestInit


Currently I'm using php_ssh2.dll from php-5.6.2-Win32-VC11-x64.zip which works perfectly with my build. However it would be nice to be able to build it myself so I didn't waste a complete weekend :)

EDIT: Finally found the answer somewhere else.

With the official libssh2_a.lib there are a lot of unresolved symbols.
This can be fixed by adding the SSL-libs to this line in the Makefile:

Code:

LIBS_SSH2=libssh2_a.lib ssleay32.lib libeay32.lib


Or adding these two lines to the config.w32 of ssh2:

Code:

if ((CHECK_LIB("libssh2_a.lib;libssh2.lib", "ssh2", PHP_SSH2) &&
+               CHECK_LIB("ssleay32.lib", "ssh2", PHP_SSH2) &&
+               CHECK_LIB("libeay32.lib", "ssh2", PHP_SSH2) &&
                CHECK_HEADER_ADD_INCLUDE("libssh2.h", "CFLAGS_SSH2",
PHP_PHP_BUILD + "\\include\\libssh2"))) {


I tried the second solution and that seems to fix the build. Answer was given by Jan-E on a mailing list: https://www.mail-archive.com/internals@lists.php.net/msg65145.html


Last edited by rouf on Mon 27 Oct '14 19:07; edited 2 times in total
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 38
Location: Flower Mound, TX

PostPosted: Mon 27 Oct '14 14:02    Post subject: PHP & Image Magick Reply with quote

What version of Image Magick is the the php_imagick.dll from this build supposed to work with?

Right now, are stuck using the ImageMagick-6.8.6-3-Q16-x86-dll.exe and php_imagick.dll from http://windows.php.net/downloads/pecl/releases/imagick/3.1.2/php_imagick-3.1.2-5.6-nts-vc11-x86.zip. I can't get any other combination to load the php_imagick.dll extension, or if it loads, I get NoDecodeDelegateForThisImageFormat errors and if I do queryFormats(), I no formats are returned.

We've tried to upgrade to 6.8.9-8, but that won't load with the your version of the DLL or the one from php.net. For some reason, the PECL download comes compiled with a version of 8 of the Image Magick DLL files, but not the ones we need (like JPEG and TIFF) - these load, but have no formats available. I've tried the version in your download here, but yours won't load with any version of Image Magick that I can find.
Back to top
Nitemare



Joined: 05 Nov 2014
Posts: 2
Location: Spain

PostPosted: Fri 07 Nov '14 12:47    Post subject: Reply with quote

Hello, thank you so much for you builds, excellent work!

I'm using php-5.6.2-Win32-VC11-x64.zip and I found that extension "php_pdflib.dll" doesn't load, I get this warning:

Code:

"Warning: PHP Startup: Unable to load dynamic library  D:\php\ext\php_pdflib.dll' - %1 is not a valid Win32 application. in Unknown on line 0"


Compiled with wrong target platform?

Greetings.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 962
Location: Amsterdam, NL, EU

PostPosted: Fri 07 Nov '14 15:54    Post subject: Reply with quote

php_pdflib.dl depends on pdflib.dll (see the snapshot.txt). With a 64-bit PHP you'll also need a 64-bit pdflib.dll.
Back to top
Nitemare



Joined: 05 Nov 2014
Posts: 2
Location: Spain

PostPosted: Mon 10 Nov '14 10:44    Post subject: Reply with quote

Jan-E wrote:
php_pdflib.dl depends on pdflib.dll (see the snapshot.txt). With a 64-bit PHP you'll also need a 64-bit pdflib.dll.


Yes, you're right, I forgot to copy pdflib.dll from my old 64-bit PHP 5.4.15 folder to current 5.6.2, but after copying, it still doesn't load, may be something to do with pdflib.dll version, I keep on investigating, thank you very much.

EDIT:
pdflib.dll from http://www.pdflib.com/download/pdflib-family/pdflib-9/ (Windows x64 C, C++ zip package) seems to do the work!
Back to top
Pankow



Joined: 14 Nov 2014
Posts: 2
Location: Poland

PostPosted: Fri 14 Nov '14 15:55    Post subject: PECL http version 1 Reply with quote

Hello,
Jan E - are you planning to add php_http1.dll (PECL http ver 1) to php 5.6 (as it was in ex 5.5.11) ?

Regards.


Last edited by Pankow on Fri 14 Nov '14 16:05; edited 1 time in total
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 962
Location: Amsterdam, NL, EU

PostPosted: Fri 14 Nov '14 15:57    Post subject: Reply with quote

No, php_http1.dll does not compile with PHP 5.6
Back to top
Pankow



Joined: 14 Nov 2014
Posts: 2
Location: Poland

PostPosted: Fri 14 Nov '14 16:20    Post subject: Reply with quote

Ok. Thank you.
Could you advice me what extension add to php.ini to use Class 'HttpRequest' in php 5.6?
Back to top
ng4win



Joined: 25 May 2014
Posts: 78

PostPosted: Sat 13 Dec '14 12:13    Post subject: Reply with quote

All releases from 2 days ago have been revoked, ea. 5.5.20 is gone and 5.5.19 is the latest, anyone know whats going on ? see for yourself http://windows.php.net/downloads/releases/
Back to top
ng4win



Joined: 25 May 2014
Posts: 78

PostPosted: Sat 13 Dec '14 13:55    Post subject: Reply with quote

Hmm it seems someone moved the latest release to the archive folder instead of the previous release Mr. Green
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 962
Location: Amsterdam, NL, EU

PostPosted: Sat 13 Dec '14 23:21    Post subject: Reply with quote

According to the NEWS file the developers are now working on 5.6.5 and 5.6.4. was released on december 18 (next Thursday):
http://git.php.net/?p=php-src.git;a=blob;f=NEWS;h=0ef30e9140e4a0f6d7f71821a84bff167f098ca7;hb=238529fc3e8fb04fabfb122de312efba3d7822e4#l63

The same story for 5.5.21 and 5.5.20:
http://git.php.net/?p=php-src.git;a=blob;f=NEWS;h=0ef30e9140e4a0f6d7f71821a84bff167f098ca7;hb=238529fc3e8fb04fabfb122de312efba3d7822e4#l63

Weird time lapse.
Back to top
ng4win



Joined: 25 May 2014
Posts: 78

PostPosted: Sun 14 Dec '14 0:15    Post subject: Reply with quote

Weird....

PHP NEWS
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
11 Dec 2014, PHP 5.5.20

- Core:
. Fixed bug #68091 (Some Zend headers lack appropriate extern "C" blocks).
(Adam)
................

I wasn't dreaming when I got 5.5.20 Shocked
Back to top
ng4win



Joined: 25 May 2014
Posts: 78

PostPosted: Thu 18 Dec '14 9:23    Post subject: Reply with quote

And now a new 5.5.20 release of 17/12.... Cool
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 962
Location: Amsterdam, NL, EU

PostPosted: Thu 18 Dec '14 14:22    Post subject: Reply with quote

This morning I recompiled and uploaded the 32-bits versions of 5.6.4 and 5.5.20. In the train from Amsterdam to Haarlem I am now recompiling the 64-bits versions...

Edit: all other builds recompiled and uploaded as well.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 962
Location: Amsterdam, NL, EU

PostPosted: Sat 20 Dec '14 18:38    Post subject: Re: PHP & Image Magick Reply with quote

laurin1 wrote:
What version of Image Magick is the the php_imagick.dll from this build supposed to work with?
Hi Keith,

I finally found the time to upgrade this extension. Could you try if it works with the latest Image Magick release?
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads Goto page 1, 2, 3, 4  Next
Page 1 of 4